%undefine _package_note_flags
%global debug_package %{nil}
%global ocaml_docdir /usr/doc/fileutils

Summary:        OCaml library for common file and filename operations
Name:           ocaml-fileutils
Version:        0.6.4
Release:        5%{?dist}
License:        LGPLv2 with exceptions
URL:            https://forge.ocamlcore.org/projects/ocaml-fileutils/
Source0:        https://github.com/gildor478/%{name}/archive/refs/tags/v%{version}.tar.gz

Patch5000:  ocaml-fileutils-0.6.4-forward-compat.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.00.1 ocaml-findlib-devel >= 1.3.3-3
BuildRequires:  ocaml-ocamldoc ocaml-ocamlbuild ocaml-dune


%description
This package provides a basic interface to the most common file and filename operations, 
providing several different filename functions: reduce, make_absolute, make_relative...  
It also enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one manipulates real 
files, the second one is made for manipulating abstract filenames.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
This package provides libraries and signature files for developing applications that use %{name}.


%prep
%autosetup -p1


%build
dune build --verbose --release %{?_smp_mflags}


%install
dune install --destdir=%{buildroot} --verbose --release %{?_smp_mflags}


%files
%license %{ocaml_docdir}/LICENSE.txt
%{_libdir}/ocaml/fileutils
%exclude %{_libdir}/ocaml/fileutils/*.a
%exclude %{_libdir}/ocaml/fileutils/*.cmx
%exclude %{_libdir}/ocaml/fileutils/*.cmxa
%exclude %{_libdir}/ocaml/fileutils/*.ml
%exclude %{_libdir}/ocaml/fileutils/*.mli


%files devel
%license %{ocaml_docdir}/LICENSE.txt
%doc %{ocaml_docdir}/CHANGES.md
%doc %{ocaml_docdir}/README.md
%{_libdir}/ocaml/fileutils/*.a
%{_libdir}/ocaml/fileutils/*.cmx
%{_libdir}/ocaml/fileutils/*.cmxa
%{_libdir}/ocaml/fileutils/*.ml
%{_libdir}/ocaml/fileutils/*.mli


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.4-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.4-4
- Rebuilt for loongarch release

* Fri Jun 21 2024 Rebuild Robot <rebot@opencloudos.org> - 0.6.4-3
- [Type] other
- [DESC] Rebuilt for ocaml

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 0.6.4-1
- upgrade to 0.6.4

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 0.5.2-4
- Rebuilt for ocaml-findlib 1.9.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 Wang Guodong <gordonwwang@tencent.com> - 0.5.2-1
- initial build
